//
// SecureImage
//
// Copyright © 2018 Province of British Columbia
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Created by Jason Leach on 2018-01-10.
//
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  getJwtCertificate: true,
  fetchServiceAccountToken: true,
  JWTServiceManager: true,
  bucketExists: true,
  createBucketIfRequired: true,
  expiredTopLevelObjects: true,
  getObject: true,
  isExpired: true,
  listBucket: true,
  presignedGetObject: true,
  putObject: true,
  removeObject: true,
  statObject: true,
  logger: true,
  started: true,
  asyncMiddleware: true,
  errorWithCode: true,
  streamToBuffer: true
};
Object.defineProperty(exports, "getJwtCertificate", {
  enumerable: true,
  get: function () {
    return _auth.getJwtCertificate;
  }
});
Object.defineProperty(exports, "fetchServiceAccountToken", {
  enumerable: true,
  get: function () {
    return _auth.fetchServiceAccountToken;
  }
});
Object.defineProperty(exports, "JWTServiceManager", {
  enumerable: true,
  get: function () {
    return _auth.JWTServiceManager;
  }
});
Object.defineProperty(exports, "bucketExists", {
  enumerable: true,
  get: function () {
    return _bucket.bucketExists;
  }
});
Object.defineProperty(exports, "createBucketIfRequired", {
  enumerable: true,
  get: function () {
    return _bucket.createBucketIfRequired;
  }
});
Object.defineProperty(exports, "expiredTopLevelObjects", {
  enumerable: true,
  get: function () {
    return _bucket.expiredTopLevelObjects;
  }
});
Object.defineProperty(exports, "getObject", {
  enumerable: true,
  get: function () {
    return _bucket.getObject;
  }
});
Object.defineProperty(exports, "isExpired", {
  enumerable: true,
  get: function () {
    return _bucket.isExpired;
  }
});
Object.defineProperty(exports, "listBucket", {
  enumerable: true,
  get: function () {
    return _bucket.listBucket;
  }
});
Object.defineProperty(exports, "presignedGetObject", {
  enumerable: true,
  get: function () {
    return _bucket.presignedGetObject;
  }
});
Object.defineProperty(exports, "putObject", {
  enumerable: true,
  get: function () {
    return _bucket.putObject;
  }
});
Object.defineProperty(exports, "removeObject", {
  enumerable: true,
  get: function () {
    return _bucket.removeObject;
  }
});
Object.defineProperty(exports, "statObject", {
  enumerable: true,
  get: function () {
    return _bucket.statObject;
  }
});
Object.defineProperty(exports, "logger", {
  enumerable: true,
  get: function () {
    return _logger.logger;
  }
});
Object.defineProperty(exports, "started", {
  enumerable: true,
  get: function () {
    return _logger.started;
  }
});
Object.defineProperty(exports, "asyncMiddleware", {
  enumerable: true,
  get: function () {
    return _utils.asyncMiddleware;
  }
});
Object.defineProperty(exports, "errorWithCode", {
  enumerable: true,
  get: function () {
    return _utils.errorWithCode;
  }
});
Object.defineProperty(exports, "streamToBuffer", {
  enumerable: true,
  get: function () {
    return _utils.streamToBuffer;
  }
});

var _constants = require("./constants");

Object.keys(_constants).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _constants[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _constants[key];
    }
  });
});

var _auth = require("./libs/auth");

var _bucket = require("./libs/bucket");

var _logger = require("./libs/logger");

var _utils = require("./libs/utils");